The Mindjet Web Viewer requires Adobe Flash Player version 10 or above.